﻿using System;

namespace OzonInternalLabelPrinter
{
    [Serializable] // Важно для возможной сериализации в будущем, хотя с JSON необязательно
    public class OzonStore
    {
        public string StoreName { get; set; } // Имя, которое видит пользователь
        public string ClientId { get; set; }
        public string EncryptedApiKey { get; set; } // Храним ЗАШИФРОВАННЫЙ ключ

        // Конструктор для удобства
        public OzonStore(string name, string clientId, string encryptedKey)
        {
            StoreName = name;
            ClientId = clientId;
            EncryptedApiKey = encryptedKey;
        }

        public OzonStore() { } // Пустой конструктор для сериализации

        // Переопределяем ToString, чтобы в ComboBox отображалось имя
        public override string ToString()
        {
            return StoreName ?? "Без имени";
        }
    }
}